export const createElement = (type, props, ...children) => {
  const element = document.createElement(type);

  for (const key in props) {
    const value = props[key];

    if (key === 'style') {
      for (const styleKey in value) {
        element.style[styleKey] = value[styleKey];
      }
    } else {
      element[key] = value;
    }
  }

  element.append(...children);

  return element
}
